# example of semi-parametric modelling

#generate data from a semi-parametric model with medium noise.

x1_runif(200)
x2_runif(200)
x3_rnorm(200,0,0.3)
x4_runif(200)
y_sin(6*pi*x1)+log(x2+1)+x3*2+rnorm(200,0,0.5)

#model the response as
# y = beta1 + f1(x1) + beta2 log(x2+1) + beta3 x3 + beta4 x4 + e
#where
# (i) f1 is estimated non-parametrically
# (ii) the function log(x2+1) is fixed to be in the model
# (iii) beta1,beta3 and beta4 are coefficients estimated under the
#	the uncertainty that they enter the model. 

junk_br(x=cbind(log(x2+1),x3,x4),xs=x1,y=y,indicprior=c(0.5,1,rep(0.5,450)))

par(mfrow=c(1,1))

#plot 'added residuals' and estimate of f1
plot(x1,junk$fpres[,1])
lines(junk$xplot,junk$yplot)

print("intercept is")
print(junk$beta[1])
print("beta2,...,beta4 are")
print(junk$beta[2:4])
